Kleiner Bug in Xampp für Linux 1.2

Irgendwelche Probleme mit XAMPP für Linux? Dann ist hier genau der richtige Ort um nachzufragen.

Kleiner Bug in Xampp für Linux 1.2

Postby Kristian Marcroft » 27. August 2003 10:53

Hi,

Ich habe grad auf 1.2 upgedated...
und bin mir nicht sicher, aber ich glaub ich hab nen Fehler gefunden?
/opt/lampp/phpmyadmin/config.inc.php hat chmod 600
Das erzeugt den Fehler:


phpMyAdmin - Fehler
phpMyAdmin konnte Ihre Konfigurationsdatei nicht verarbeiten!
Dies kann passieren, wenn der PHP-Parser Syntaxfehler in ihr findet oder sie nicht existiert.
Bitte rufen Sie die Konfigurationsdatei üben den unteren Link direkt auf und lesen Sie die PHP-Fehlermeldungen, die Sie erhalten. Meistens fehlt bloß irgendwo ein Anführungszeichen oder Semikolon.
Wenn Sie eine leere Seite erhalten, ist Ihre Konfigurationsdatei in Ordnung.

config.inc.php


Klicke ich un auf den Link config.inc.php, erhalte ich folgendes:
Warning: Unknown(/opt/lampp/phpmyadmin/config.inc.php): failed to open stream: Permission denied in Unknown on line 0

Warning: (null)(): Failed opening '/opt/lampp/phpmyadmin/config.inc.php' for inclusion (include_path='.:/opt/lampp/lib/php') in Unknown on line 0


Permission denied is schon mal schlecht..
also
"chmod 644 /opt/lampp/phpmyadmin/config.inc.php"

und dann geht wieder alles :)

So long
KriS
User avatar
Kristian Marcroft
AF Moderator
 
Posts: 2962
Joined: 03. January 2003 12:08
Location: Diedorf

Postby Oswald » 27. August 2003 11:05

Huhu KriS,

korrekt: Ein Fehler im Upgrade. Arbeite grad dran.

Danke schon mal!!!

Gruß,
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
Operating System: Linux

Postby Kristian Marcroft » 27. August 2003 11:15

Kai Seidler wrote:Huhu KriS,
korrekt: Ein Fehler im Upgrade. Arbeite grad dran.
Danke schon mal!!!
Gruß,
Oswald

Huhu Oswald,

bitte bitte,
Ich gebe immer wieder mein bestes *lol*
Nein wirklich ist ja nurn kleiner "Fehler"... ist schnell behoben...

So long
KriS
User avatar
Kristian Marcroft
AF Moderator
 
Posts: 2962
Joined: 03. January 2003 12:08
Location: Diedorf

Postby Oswald » 27. August 2003 11:18

Huhu KriS!

Joh... ich lade auch grad schon das neue Upgrad zu SF hoch.

Ich hatte in diesem Upgrade eingebaut, dass die config.inc.php nicht - wie vorher - stumpf überschrieben wird sondern intelligent gepatcht wird.

Naja... wohl nicht intelligent genug... ;)

Gruß,
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
Operating System: Linux

Postby StuttgarterFrüchtchen » 27. August 2003 13:37

Hi,

zuerst einmal dickes Lob :-) :-) an Euer XAMPP. Als Linux Neuling hat es mir einige schlaflose Nächte gekostet einen LAMP für TYPO3 aufzubauen. Mit XAMPP waren die ersten Hürden aber gut zu nehmen.

Nun aber:
Nachdem ich von 1.1 auf 1.2 geupdatet habe und auch brav die Fehlermeldung bekommen habe und auch behoben habe, kommt beim Aufruf von PHPMYADMIN unter der Sprachauswahl folgender Aufruf:

Ab sofort muss ein geheimes Passwort zur Verschlüsselung in der Konfigurationsdatei gesetzt werden (blowfish_secret)


Auch wenn ich damit wahrscheinlich mein Nichtwissen offenlege ':oops:' ?
Wie, was, wo muss ich wie, was, wo tun?

Gruss aus Stuttgart
Andreas
StuttgarterFrüchtchen
 
Posts: 13
Joined: 07. May 2003 10:26

Postby Oswald » 27. August 2003 13:49

Huhu Andreas!

Das ist ein neues Sicherheitsfeature in phpMyAdmin zum Verschlüsseln von Passwörtern in Cookies.

Einfach in der config.inc.php Zeile 60 ändern.

Sollte so aussehen:

$cfg['blowfish_secret'] = '';

In sowas ändern:

$cfg['blowfish_secret'] = 'huhu';

Das war's auch schon.

In einer der nächsten Versionen wird das dann auch mit bei der "security"-Option vom lampp-Skript abgefragt. So weit bin ich aber im Moment noch nicht.

Liebe Grüße,
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
Operating System: Linux

Postby StuttgarterFrüchtchen » 27. August 2003 13:56

Danke für die schnelle Hilfe. Läuft alles wieder...
StuttgarterFrüchtchen
 
Posts: 13
Joined: 07. May 2003 10:26

Postby HardySim » 27. August 2003 14:22

Kai Seidler wrote:Ich hatte in diesem Upgrade eingebaut, dass die config.inc.php nicht - wie vorher - stumpf überschrieben wird sondern intelligent gepatcht wird.


naja, nett gedahct nur bei mir funzt net ;) hab nen fehler bekommen, dass die datei net geschrieben werden konnte..

hatte dann ne confic.inc.php.2 oder sowas, umbenannt geht auch :)
[url=http://www.hardysim.de]
Image[/url]
www.party-safari.net
User avatar
HardySim
 
Posts: 325
Joined: 19. June 2003 10:22
Location: Geisenheim


Return to XAMPP für Linux

Who is online

Users browsing this forum: No registered users and 2 guests